apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.17.3
  name: ippools.crd.projectcalico.org
spec:
  group: crd.projectcalico.org
  names:
    kind: IPPool
    listKind: IPPoolList
    plural: ippools
    singular: ippool
  preserveUnknownFields: false
  scope: Cluster
  versions:
    - name: v1
      schema:
        openAPIV3Schema:
          properties:
            apiVersion:
              type: string
            kind:
              type: string
            metadata:
              type: object
            spec:
              properties:
                allowedUses:
                  items:
                    type: string
                  type: array
                assignmentMode:
                  enum:
                    - Automatic
                    - Manual
                  type: string
                blockSize:
                  type: integer
                cidr:
                  type: string
                disableBGPExport:
                  type: boolean
                disabled:
                  type: boolean
                ipip:
                  properties:
                    enabled:
                      type: boolean
                    mode:
                      type: string
                  type: object
                ipipMode:
                  type: string
                namespaceSelector:
                  type: string
                nat-outgoing:
                  type: boolean
                natOutgoing:
                  type: boolean
                nodeSelector:
                  type: string
                vxlanMode:
                  type: string
              required:
                - cidr
              type: object
          type: object
      served: true
      storage: true
